Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1505052 - Review Request: qmdnsengine - Library for multicast DNS as per RFC 676
Summary: Review Request: qmdnsengine - Library for multicast DNS as per RFC 676
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Deop
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews 1504380
TreeView+ depends on / blocked
 
Reported: 2017-10-21 15:02 UTC by Raphael Groner
Modified: 2017-11-11 03:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:14:55 UTC
marc: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2017-10-21 15:02:23 UTC
Spec URL: https://raphgro.fedorapeople.org/review/util/qmdnsengine.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/qmdnsengine-0.1.0-1.fc26.src.rpm

Description: Library for multicast DNS as per RFC 676

Fedora Account System Username: raphgro

Test build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22592682

Notes:
The spec file is just copy paste from abroved qhttpengine.spec (see bug #1489993), so the review shouldn't take that long.
This package is a new dependency needed for the update to version 0.3.4 of nitroshare (see bug #1504380).

Comment 1 Raphael Groner 2017-10-21 15:06:26 UTC
...
The spec file is just copy paste from approved qhttpengine.spec (see bug #1489993), so the review shouldn't take that long.

Comment 2 Marc Deop 2017-10-21 16:18:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: qmdnsengine-doc : /usr/share/doc/qmdnsengine-
  doc/examples/browser/mainwindow.h qmdnsengine-doc : /usr/share/doc
  /qmdnsengine-doc/examples/browser/servicemodel.h qmdnsengine-doc :
  /usr/share/doc/qmdnsengine-doc/examples/provider/mainwindow.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 13 files have
     unknown license. Detailed output of licensecheck in
     /home/marc/tmp/qmdnsengine/review-qmdnsengine/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     qmdnsengine-doc , qmdnsengine-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qmdnsengine-0.1.0-1.fc25.x86_64.rpm
          qmdnsengine-devel-0.1.0-1.fc25.x86_64.rpm
          qmdnsengine-doc-0.1.0-1.fc25.noarch.rpm
          qmdnsengine-debuginfo-0.1.0-1.fc25.x86_64.rpm
          qmdnsengine-0.1.0-1.fc25.src.rpm
qmdnsengine.x86_64: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
qmdnsengine-devel.x86_64: W: only-non-binary-in-usr-lib
qmdnsengine-devel.x86_64: W: no-documentation
qmdnsengine.src: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
qmdnsengine.src:69: W: macro-in-comment %{_libdir}
5 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qmdnsengine-debuginfo-0.1.0-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
qmdnsengine-devel.x86_64: W: invalid-url URL: https://github.com/nitroshare/qmdnsengine <urlopen error [Errno -2] Name or service not known>
qmdnsengine-devel.x86_64: W: only-non-binary-in-usr-lib
qmdnsengine-devel.x86_64: W: no-documentation
qmdnsengine.x86_64: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
qmdnsengine.x86_64: W: invalid-url URL: https://github.com/nitroshare/qmdnsengine <urlopen error [Errno -2] Name or service not known>
qmdnsengine.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqmdnsengine.so.0.1.0 /lib64/libm.so.6
qmdnsengine-doc.noarch: W: invalid-url URL: https://github.com/nitroshare/qmdnsengine <urlopen error [Errno -2] Name or service not known>
qmdnsengine-debuginfo.x86_64: W: invalid-url URL: https://github.com/nitroshare/qmdnsengine <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
qmdnsengine-devel (rpmlib, GLIBC filtered):
    cmake(x86-64)
    cmake-filesystem(x86-64)
    libqmdnsengine.so.0()(64bit)
    qmdnsengine(x86-64)

qmdnsengine (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

qmdnsengine-doc (rpmlib, GLIBC filtered):

qmdnsengine-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
qmdnsengine-devel:
    cmake(qmdnsengine)
    qmdnsengine-devel
    qmdnsengine-devel(x86-64)

qmdnsengine:
    libqmdnsengine.so.0()(64bit)
    qmdnsengine
    qmdnsengine(x86-64)

qmdnsengine-doc:
    qmdnsengine-doc

qmdnsengine-debuginfo:
    qmdnsengine-debuginfo
    qmdnsengine-debuginfo(x86-64)



Source checksums
----------------
https://github.com/nitroshare/qmdnsengine/archive/0.1.0/qmdnsengine-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 27416ca7b8b8a8588df4318de57127ef97e1205269fa506f00f21b09d30d3ac2
  CHECKSUM(SHA256) upstream package : 27416ca7b8b8a8588df4318de57127ef97e1205269fa506f00f21b09d30d3ac2

Comment 3 Marc Deop 2017-10-21 16:24:59 UTC
Looks good to me.

You can "improve" it by removing the "Buildrequires: gcc-c++" if you feel like it :-)

Comment 5 Gwyn Ciesla 2017-10-23 12:23:40 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qmdnsengine

Comment 6 Fedora Update System 2017-11-01 18:24:44 UTC
nitroshare-0.3.4-1.fc27 qhttpengine-1.0.0-1.fc27 qmdnsengine-0.1.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-63b23de415

Comment 7 Fedora Update System 2017-11-01 18:26:30 UTC
nitroshare-0.3.4-1.fc26 qhttpengine-1.0.0-1.fc26 qmdnsengine-0.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb7f0fae1e

Comment 8 Fedora Update System 2017-11-01 18:26:40 UTC
nitroshare-0.3.4-1.fc25 qhttpengine-1.0.0-1.fc25 qmdnsengine-0.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-332b64508f

Comment 9 Fedora Update System 2017-11-07 22:14:55 UTC
nitroshare-0.3.4-1.fc26, qhttpengine-1.0.0-1.fc26, qmdnsengine-0.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-07 23:39:55 UTC
nitroshare-0.3.4-1.fc25, qhttpengine-1.0.0-1.fc25, qmdnsengine-0.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-11 03:00:18 UTC
nitroshare-0.3.4-1.fc27, qhttpengine-1.0.0-1.fc27, qmdnsengine-0.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.